<?php
/* @var $this EventsController */
/* @var $model Events */

$this->breadcrumbs=array(
	'Events'=>array('index'),
	'Manage',
);

$this->menu=array(
	array('label'=>'List Events', 'url'=>array('index')),
	array('label'=>'Create Events', 'url'=>array('create')),
);

?>
<div id="communbox" style="width:885px; float:left;">
<div id="headlines" style="width: 99%; padding-left:2%;"><img src="images/admin/bg.png" width="12" height="7" class="right5"/>Manage Events</div>
<div id="communicationsbox" style="height:525px; background-color:#f7eee1;">
<div id="form_wrapper">
<?php
    foreach(Yii::app()->user->getFlashes() as $key => $message) {
        echo '<div class="flash-' . $key . '">' . $message . "</div>\n";
    }
?>
<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'events-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		array(
			'header'=>'Sl.No.',
			'value'=>'$this->grid->dataProvider->pagination->currentPage * $this->grid->dataProvider->pagination->pageSize + ($row+1)',
			'htmlOptions'=>array('width'=>'5px'),
		),
		'event_title',
		array(
			  'header'=>'Actions',
			  'template'=>'{create}{update}{delete}',
			  'buttons'=>array
				(
					'create' => array
					(
						'label'=>'Add new event',
						'imageUrl'=>Yii::app()->request->baseUrl.'/images/admin/add_small.png',
						'url'=>'Yii::app()->createUrl("events/create")',
					),
					
				),
			 'class'=>'CButtonColumn',
		),
	),
)); ?>
</div>
</div>
</div>
